package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.model.JsOutStock;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0物料领用 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-23
 */
public interface IJsOutStockService extends IService<JsOutStock> {

    AjaxResult add(JsOutStock outStock);

    AjaxResult edit(JsOutStock outStock);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String materialBatch,
                    String materialName, Integer materialType,  Boolean needAllFlag);

    AjaxResult listAll();
}
